XOS_WriteS = 0x20001
XOS_Write0 = 0x20002
XOS_NewLine = 0x20003
XOS_CLI = 0x20005
XOS_FSControl = 0x20029
XOS_ValidateAddress = 0x2003a
XMessageTrans_ErrorLookup = 0x61506
XOS_Module = 0x2001e
XOS_Claim = 0x2001f
XOS_Release = 0x20020
XOS_CallAVector = 0x20034
XOS_Memory = 0x20068
XOS_ConvertHex8 = 0x200d4
XOS_CallEvery = 0x2003c
XOS_RemoveTickerEvent = 0x2003d
XOS_IICOp = 0x2007b
XOS_AddCallBack = 0x20054
XOS_ReadSysInfo = 0x20058
XOS_ReadUnsigned = 0x20021
XOS_ConvertInteger3 = 0x200db

.global OS_Write0
OS_Write0:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_Write0
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_ModuleClaim
OS_ModuleClaim:
	MOV R3, R0
	MOV	R0, #6
	STMFD R13!,{R1-R12,LR}
	SWI	XOS_Module
	MOV R0, R2
	MOVVS R0, #0
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_ModuleFree
OS_ModuleFree:
	MOV R2, R0
	MOV	R0, #7
	STMFD R13!,{R1-R12,LR}
	SWI	XOS_Module
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_ConvertHex8
OS_ConvertHex8:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_ConvertHex8
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_NewLine
OS_NewLine:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_NewLine
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_IICOp
OS_IICOp:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_IICOp
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_KeyV
OS_KeyV:
	STMFD R13!,{R1-R12,LR}
	MOV R9, #0x13				@ KeyV
	SWI XOS_CallAVector
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_AddCallBack
OS_AddCallBack:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_AddCallBack
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_ReadSysInfo
OS_ReadSysInfo:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_ReadSysInfo
	MOVVS R0, #0
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_ReadUnsigned
OS_ReadUnsigned:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_ReadUnsigned
	MOV R0, R2
	MVNVS R0, #0
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit

.global OS_ConvertInteger3
OS_ConvertInteger3:
	STMFD R13!,{R1-R12,LR}
	SWI XOS_ConvertInteger3
	MOV R0, #0
	MOVVS R0, #1
	LDMFD R13!,{R1-R12,PC}		@ restore registers and exit
